net.sf.jasperreports.renderers

## Class JCommonDrawableRenderer

- java.lang.Object
- - net.sf.jasperreports.engine.JRAbstractRenderer
  - - net.sf.jasperreports.engine.JRAbstractSvgRenderer
    - - net.sf.jasperreports.renderers.JCommonDrawableRenderer

- All Implemented Interfaces:
    java.io.Serializable, JRRenderable, Renderable

      public class JCommonDrawableRenderer
      extends JRAbstractSvgRenderer

  A wrapper for the Drawable interface in the JCommon library: you will need the JCommon classes in your classpath to compile this class. In particular this can be used to allow JFreeChart objects to be included in the output report in vector form.
  Version:
    $Id: JCommonDrawableRenderer.java 5879 2013-01-07 20:35:36Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface net.sf.jasperreports.engine.Renderable

      `PROPERTY_IMAGE_DPI`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRRenderable

      `IMAGE_TYPE_GIF, IMAGE_TYPE_JPEG, IMAGE_TYPE_PNG, IMAGE_TYPE_TIFF, IMAGE_TYPE_UNKNOWN, MIME_TYPE_GIF, MIME_TYPE_JPEG, MIME_TYPE_PNG, MIME_TYPE_TIFF, TYPE_IMAGE, TYPE_SVG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JCommonDrawableRenderer(org.jfree.ui.Drawable drawable)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `render(java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)` Deprecated. Replaced by `render(JasperReportsContext, Graphics2D, Rectangle2D)`.
    `void` | `render(JasperReportsContext jasperReportsContext, java.awt.Graphics2D grx, java.awt.geom.Rectangle2D rectangle)`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractSvgRenderer

      `createGraphics, getBackcolor, getDimension, getDimension, getImageData, getImageData, getImageDataDPI, getImageType, getImageTypeValue, getType, getTypeValue`

    - ### Methods inherited from class net.sf.jasperreports.engine.JRAbstractRenderer

      `getId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JCommonDrawableRenderer

          public JCommonDrawableRenderer(org.jfree.ui.Drawable drawable)

  - ### Method Detail

    - #### render

          public void render(JasperReportsContext jasperReportsContext,
                    java.awt.Graphics2D grx,
                    java.awt.geom.Rectangle2D rectangle)

      Specified by:
        `render` in interface `Renderable`
      Overrides:
        `render` in class `JRAbstractRenderer`

    - #### render

          public void render(java.awt.Graphics2D grx,
                    java.awt.geom.Rectangle2D rectangle)

      Deprecated. Replaced by `render(JasperReportsContext, Graphics2D, Rectangle2D)`.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com